function extractEuclidDist(numFolders)

    global main_path;
    global main_folder;
    global doRename;
    global ini;
    global fin;
    global proportions;
    
    path = main_path;
    folders = {};
    for i = 1:numFolders
        if(doRename)
            folders{i} = [main_folder '_renamed' '_' num2str(ini) 'to' num2str(fin) '_slides' '-part' num2str(i) '_' num2str(proportions(1)) 'x' num2str(proportions(2))];
        else
            folders{i} = [main_folder '_' num2str(ini) 'to' num2str(fin) '_slides' '-part' num2str(i) '_' num2str(proportions(1)) 'x' num2str(proportions(2))];
        end
        
    end
    

    len = length(folders);
    for i = 1:len

        f = load([path '/' folders{i} '/features.mat']);

        % Calculates the euclidian distance between the observations
        y = pdist(f.F, 'euclidean');

        data = y;
        save([path '/' folders{i} '/euclidData.mat'], 'data');
        disp(['extractEuclidDist(): Folder ' folders{i} ' done.']);
    end
    
end