function rescaleImages(numFolders)

    global main_path;
    global main_folder;
    global format;
    global doRename;
    global ini;
    global fin;
    global proportions;

    path = main_path;
    folders = {};
    for i = 1:numFolders
        if(doRename)
            folders{i} = [main_folder '_renamed' '_' num2str(ini) 'to' num2str(fin) '_slides' '-part' num2str(i)];
        else
            folders{i} = [main_folder '_' num2str(ini) 'to' num2str(fin) '_slides' '-part' num2str(i)];
        end
    end
    %folders = {'Dishes images_renamed_1to100_slides-part2-part1','Dishes images_renamed_1to100_slides-part2-part2'};

    
    for i = 1:numFolders
        photoList = dir([path '/' folders{i} '/*' format]);
        
        img = imread([path '/' folders{i} '/' photoList(1).name]);
        %newH = floor(size(img,1)/resizeRate);
        %newW = floor(size(img,2)/resizeRate);
        
        newH = proportions(1);
        newW = proportions(2);
        
        newDir = [path '/' folders{i} '_' num2str(newH) 'x' num2str(newW)];
        mkdir(newDir);
        
        len2 = length(photoList);
        for j = 1:len2
            img = imread([path '/' folders{i} '/' photoList(j).name]);
            img = imresize(img, [newH newW]);
            imwrite(img, [newDir '/' photoList(j).name]);
            %disp([photoList(j).name ' saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
            if(mod(j,100) == 0)
                disp(['rescaleImages(): Saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
            end
        end
        disp(['rescaleImages(): Saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
    end
    
end