function rescaleImages()

    path = '..\Labeling\Demo Labeling - WORKING COPY\Videos';
    folders = {'650EA48B-AB7B-4BA5-2FA1-34F3D1B3CE9D_11to91_slides-part1', '650EA48B-AB7B-4BA5-2FA1-34F3D1B3CE9D_11to91_slides-part2', '650EA48B-AB7B-4BA5-2FA1-34F3D1B3CE9D_11to91_slides-part3', '650EA48B-AB7B-4BA5-2FA1-34F3D1B3CE9D_11to91_slides-part4','650EA48B-AB7B-4BA5-2FA1-34F3D1B3CE9D_11to91_slides-part5','Dishes images_renamed_1to100_slides-part1-part1', 'Dishes images_renamed_1to100_slides-part1-part2','Dishes images_renamed_1to100_slides-part2-part1','Dishes images_renamed_1to100_slides-part2-part2', 'EE6B5EA5-9ABF-32DA-9709-AAFEB23BB51E_150to350_slides-part1','EE6B5EA5-9ABF-32DA-9709-AAFEB23BB51E_150to350_slides-part2','EE6B5EA5-9ABF-32DA-9709-AAFEB23BB51E_150to350_slides-part3','EE6B5EA5-9ABF-32DA-9709-AAFEB23BB51E_150to350_slides-part4'}; 
    format = '.jpg';
    proportions = [110 148]; % the final proportions for all the images 
    %resizeRate = 20; % the times we must divide the image's proportions
    
    len = length(folders);
    for i = 1:len
        photoList = dir([path '/' folders{i} '/*' format]);
        
        img = imread([path '/' folders{i} '/' photoList(1).name]);
        %newH = floor(size(img,1)/resizeRate);
        %newW = floor(size(img,2)/resizeRate);
        
        newH = proportions(1);
        newW = proportions(2);
        
        newDir = [path '/' folders{i} '_' num2str(newH) 'x' num2str(newW)];
        mkdir(newDir);
        
        len2 = length(photoList);
        for j = 1:len2
            img = imread([path '/' folders{i} '/' photoList(j).name]);
            img = imresize(img, [newH newW]);
            imwrite(img, [newDir '/' photoList(j).name]);
            %disp([photoList(j).name ' saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
            if(mod(j,100) == 0)
                disp(['Saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
            end
        end
        disp(['Saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
    end
    
end