%% Train

X = [rand(10,20); rand(15,20) * -1; rand(12,20)+1];
Y = [zeros(10,1); ones(15,1)*3; ones(12,1)*2];
colors = [ones(10,3)*0; ones(15,3)*0.5; ones(12,3)*0.8];
lenTrain = 37;
numClasses = 3;

scatter(X(:,1), X(:,2), ones(lenTrain,1)*50, colors);

% Calculate linear discriminant coefficients
W = LDA(X,Y);


%% Test

test = [rand(12,20) * -1];
lenTest = 12;

% Calulcate linear scores for training data
L = [ones(lenTrain+lenTest,1) [X;test]] * W';

% Calculate class probabilities
P = exp(L) ./ repmat(sum(exp(L),2),[1 numClasses]);