function []=HS2(handles)
% function HS2 updates the fields in the C structure with the number of
% times cluster has been seen, samples seen form cluster and labels
% assigned to the seen labels form cluster
global C;
global queries;
global labels;
global seen_C;


for i=1:length(queries)    
    C_to_query=seen_C(i);    
    C(C_to_query).cluster_seen=C(C_to_query).cluster_seen+1; %update n
    C(C_to_query).seen_idx=[C(C_to_query).seen_idx queries(i)];
    label_to_add=labels(queries(i))+1;
    if (find(label_to_add==0))
       disp('error'); 
    end
    C(C_to_query).seen_labels=[C(C_to_query).seen_labels; label_to_add];
end