function [volumen] = qva_create_vol_NEW(image_gray)
%qva_create_vol_NEW calculate the image vol
%
% INPUT:
%   image_gray   -> gray image
%
% OUTPUT:
%   volumen         
%   
%
%  Ex: 
%    [volumen] = qva_create_vol_NEW(image_gray)
%   
% (c) MI group, Computer Vision Center, UAB, 2010
    volumen = sum(image_gray(:));
end