function im = qva_get_frame_illumination_correction_SB2(study, jpg_info, index,GFD1,GFH,ColMat1,CapsuleType,CapsuleConfig)
% \return the image with the given frame index
%
im = study_get_frame(study, jpg_info(index).filename);



%% Illumination correction in the SB2 Video Capsules
% Brightness=1; %Brightness control. If images look too dark, increase this value.
% DigitalGain=GFD1.contrast(index); % Read from gfd file, and divide by 1000
% Saturation=GFD1.saturation(index); % Read from gfd file, and divide by 1000
% AnalogGain=GFH.ALCgain(GFD1.frameID(index)+1); % Read from gfh file. Might be 1, 2, or 4
% Exposure=GFH.ALCexposure(GFD1.frameID(index)+1); % Read from gfh file, and divide by 1000 to be in mSec.
%   

Brightness=2; %Brightness control. If images look too dark, increase this value.
GFDindex=(find(GFD1.frameID==jpg_info(index).ID));
GFHindex=(find(GFH.frameID==jpg_info(index).ID));
DigitalGain=GFD1.contrast(GFDindex); % Read from gfd file, and divide by 1000
Saturation=GFD1.saturation(GFDindex); % Read from gfd file, and divide by 1000
AnalogGain=GFH.ALCgain(GFHindex); % Read from gfh file. Might be 1, 2, or 4
Exposure=GFH.ALCexposure(GFHindex); % Read from gfh file,and divide by 1000 to be in mSec.
if(Exposure==0)
    Exposure=GFH.ALCexposure(GFHindex-1);
end
    if(isempty(GFDindex)==0 & isempty(GFHindex)==0)
        im=SimulateWithNoALC(im, ColMat1, DigitalGain, Saturation, AnalogGain, Exposure, Brightness, CapsuleType, CapsuleConfig);
    end
