function result = qva_is_textural_features(jpg_info)
%qva_is_textural_features Checks whether the text. feat. have been calculated.
%
% INPUT:
%   jpeg_info -> The jpeg_info struture.
%
% OUTPUT:
%   result  -> 1 if the textural features have been calculated already.
%
%  Ex: 
%  result = qva_is_textural_features(jpg_info);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%

if  ((isfield(jpg_info, 'inertia')) & (isfield(jpg_info, 'lochomo'))) 
  result = 1;
else 
  result = 0;
end


