function path = qva_module_path()
%qva_module_path Returns the path to the qva module.
%
% OUTPUT:
%   path             -> he path to the qva module.
%
%  Ex: 
%   path = qva_module_path();
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%
fname = which('qva_module_path');
[p, n, e, v] = fileparts(fname);
path = p;