function result = qva_save(jpg_info, study)
%qva_save  Saves the study and jpg_info structures.
%
% INPUT:
%   study -> The study structure.
%   jpg_info -> The jpg_info structure.
%
% OUTPUT:
%   result -> 1 if study and jpg_info are saved.
%   
%  Ex: 
%  result = qva_save(jpg_info, study);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%


if nargin<2
    result = 0;
    return;
end

qva_path = study_jpg_info_path(study);
save(qva_path, 'jpg_info');
study_save(study); %!! ojo, falta comprobar!!
result = 1;