function expert_sustained_indexes = study_get_expert_sustained_indexes(study)
% STUDY_GET_EXPERT_SUSTAINED_INDEXES returns the indexes of the experts' sustained.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       expert_sustained_indexes -> The indexes of the frames corresponding to the
%                                  experts sustaind contractions. These indexes were
%                                  obtained from the experts' sustained filename.
%
% Example:
%           expert_sustained_indexes =
%           study_get_expert_sustained_indexes(study)
%          
expert_sustained_indexes = study.expert_sustained_indexes;

