function resample_indexes = study_get_resample_indexes(study)
% STUDY_GET_RESAMPLE_INDEXES gets the resampled indexes of the study.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       resample_indexes -> The indexes of the video frames after the resampling stage
%                           in the cascade.
%
% Example:
%       resample_indexes = study_get_resample_indexes(study)
%     

resample_indexes = study.resample_indexes;

