function study_path = study_get_study_path(study);
% STUDY_PATH returns the concatenation of study's data_path and name.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       study_path -> The study path.
%
% Example:
%       study_path = study_get_data_path(study)
%           

study_path = sprintf('%s/%s', study_get_data_path(study), study_get_name(study));