function study_jpgs = study_jpg_path(study)
% STUDY_GET_JPG_PATH returns the folder for the expanded bmp files.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       study_jpgs -> '' if the paremeters are not correct; otherwise 
%                     containes the path to the jpgs, if the name could
%                     be assembled
%
%   Example:
%       study_jpg_path(study)
%       will result in 'C:/intes/GT_AL_04 Dec 02_C1-R/jpgs/GT_AL_04 Dec 02_C1-R'
%

study_jpgs = sprintf('%s/%s', study_jpg_base(study), study.name);

