function study = study_set_resample_indexes(study, resample_indexes)
%study_set_resample_indexes Set the resampled indexes in the study structure.
%
% INPUT:
%   study   -> The study structure.
%   resample_indexes -> The the array of indexes.
%
% OUTPUT:
%   study   -> The study structure.
%
%  Ex: 
% study = study_set_resample_indexes(study, resample_indexes);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%
    

study.resample_indexes = resample_indexes;

