% Checks if all the samples in our cluster have already been validated by
% the user in case their value has been previously guessed
function allValidated = checkAllValidated(C_div)

    len = length(C_div.elements_id);
    i = 1;
    allValidated = true;
    
    while (i <= len && allValidated)
        if(length(setdiff(C_div.elements_id(i), C_div.seen_idx)) ~= 0)
            if(C_div.reliability(i) ~= 0)
                allValidated = false;
            end
        end
        i = i+1;
    end
    
end