
function AdaBoost_SingleClassifier(F, labels_cell, classifier, testImgs, lenClasses)

    global C;
    global proposed_labels;
    
    global th_No_Plate;
    global th_Plate;
    global th_Semiplate;
    global classNoPlate;
    global classPlate;
    global classSemiplate;
    
    global idOnlineLearner;

    [tests likelihood] = testBOOST(F, labels_cell, classifier);

    % Calculates the resulting label for each image
    for i = 1:size(likelihood,1)
        results = zeros(lenClasses,1);
        if(likelihood(i,1) > 0) % Class1 vs Class2
            results(1) = results(1) + likelihood(i,1);
        else
            results(2) = results(2) + abs(likelihood(i,1));
        end
        if(likelihood(i,2) > 0) % Class1 vs Class3
            results(1) = results(1) + likelihood(i,2);
        else
            results(3) = results(3) + abs(likelihood(i,2));
        end
        if(likelihood(i,3) > 0) % Class2 vs Class3
            results(2) = results(2) + likelihood(i,3);
        else
            results(3) = results(3) + abs(likelihood(i,3));
        end

        % Gets the maximum value (c) and label (j)
        [c, j] = max(results);

        % Stores the result
        if(j == classNoPlate.id && c >= th_No_Plate)
            proposed_labels(testImgs(i)) = classNoPlate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classNoPlate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = c;
        elseif(j == classPlate.id && c >= th_Plate)
            proposed_labels(testImgs(i)) = classPlate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classPlate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = c;
        elseif(j == classSemiplate.id && c >= th_Semiplate)
            proposed_labels(testImgs(i)) = classSemiplate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classSemiplate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = c;
        end
        % if c < threshold we don't label that image

    end

end