
function KNN_SingleClassifier(F, classifier, testImgs)

    global C;
    global proposed_labels;
    
    global th_No_Plate;
    global th_Plate;
    global th_Semiplate;
    global classNoPlate;
    global classPlate;
    global classSemiplate;
    
    global idOnlineLearner;

    [labels likelihood] = predict(classifier,F);

    % Checks the resulting label for each image
    for i = 1:length(labels)

        j = labels(i);
        % Stores the result
        if(j == classNoPlate.id && max(likelihood(i, :)) >= th_No_Plate)
            proposed_labels(testImgs(i)) = classNoPlate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classNoPlate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = max(likelihood(i, :));
        elseif(j == classPlate.id && max(likelihood(i, :)) >= th_Plate)
            proposed_labels(testImgs(i)) = classPlate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classPlate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = max(likelihood(i, :));
        elseif(j == classSemiplate.id && max(likelihood(i, :)) >= th_Semiplate)
            proposed_labels(testImgs(i)) = classSemiplate.id-1;
            C.reliability(testImgs(i)) = 0.5;
            C.reliableLabels(testImgs(i)) = classSemiplate.id-1;
            C.classificationMethod(testImgs(i)) = idOnlineLearner;
            C.likelihood(testImgs(i)) = max(likelihood(i, :));
        end

    end

end