function []=cluster_to_show(handles)
global C;
global cluster;
global seen_cluster;
global has_loaded;
global fin;


% Checks all the unseen clusters (C)
idx=[];
for i=1:length(C)
   if length(C(i).elements_id)~=length(C(i).seen_idx)
       idx=[idx i];
   end    
end

% Gets the cluster with the lowest score (the best one)
w=[C(idx).weight];
score=[C(idx).score];
thres=w.*score; % 3*score
id_cluster=idx(find(score==min(score),1,'first'));
try
    % show only unseen elements
    if(C(id_cluster).checkReliability)
        cluster= getMostReliable(C(id_cluster));
    else
        cluster=setdiff(C(id_cluster).elements_id,C(id_cluster).seen_idx);
    end
catch ME
   save('error_Cluster_To_Show.mat');
   % Disables the query and cluster buttons
   fin = true;
   set(handles.accept_cluster_button,'Enable','off');
   set(handles.accept_queries_button,'Enable','off');
   has_loaded = false;
end
seen_cluster=id_cluster;

% %majority label
% majority_label=(find(C(id_cluster).p_score==max(C(id_cluster).p_score), 1, 'first')-1);
% 
% proposed_labels(cluster)=majority_label*ones(length(cluster),1);

end