%% Used only if we are using prototypes.
% Returns the score of the selected "label" calculated depending on the
% weight of each already seen and labeled element in the cluster.
function score = getScorePrototypes(C, label)

    global weights;
    
    pos_label = find(C.seen_labels==label);
    elems_label = C.seen_idx(pos_label);
    score = sum(weights(elems_label)) / sum(weights(C.seen_idx));
    
end