% --- Paints the borders of imgs1 of color c
function img2 = innerBorder(img1,  c)

global classes;
t = 10;
[nr1 nc1 d] = size(img1);
% Initially create a copy of IMG1
img2 = img1;
% Now fill the border elements of IMG2 with color C
img2(:,1:t,:)           = repmat(0,[nr1 t d]);
img2(:,(nc1-t+1):nc1,:) = repmat(0,[nr1 t d]);
img2(1:t,:,:)           = repmat(0,[t nc1 d]);
img2((nr1-t+1):nr1,:,:) = repmat(0,[t nc1 d]);

for i = 1:3
    img2(:,1:t,i)           = repmat(classes(c).rgb(i),[nr1 t 1]);
    img2(:,(nc1-t+1):nc1,i) = repmat(classes(c).rgb(i),[nr1 t 1]);
    img2(1:t,:,i)           = repmat(classes(c).rgb(i),[t nc1 1]);
    img2((nr1-t+1):nr1,:,i) = repmat(classes(c).rgb(i),[t nc1 1]);
end