% Called when you click on the cAxes
function labelClickedCluster(src,varargin)

global outerBorder;
global heightImg;
global widthImg;

global cluster;
global fileList;
global clusterSize;
global original_folder;

global tmp_img;


handles = guidata(src); 

but = size(get(handles.figure1, 'SelectionType'));

% We check if 'Shift' is pressed and if it's true we get the shortcut key
if(~isempty(get(handles.figure1, 'CurrentModifier')))
    key = get(handles.figure1, 'CurrentKey');
else
    key = false;
end

pt = get(handles.cAxes,'CurrentPoint');
x = pt(1,1);
y = pt(1,2);

x = ceil(x/ (widthImg + outerBorder*2) );
y = ceil(y/ (heightImg + outerBorder*2) );

obj = findobj('type','figure','name','biggerAxe');

if(but(1,2) == 3)
    rIdx = y;
    cIdx = x;

    index = sub2ind(clusterSize,rIdx,cIdx);

    str = fileList(cluster(index)).name;
    tmp_img = imread([original_folder '\' str]);
    
    if isempty(obj);
        run biggerAxe;
    else
        close(obj);
    end
    
else
    close(obj);
    
    changeClusterLabel(x, y, handles, key);

    showClusterAxes(handles);
end
