
function clicksVsTimeForestResults()
    
    load('test_data.mat');
    test_name = {'[1] KNN + LDA - Single Sets - No Prototypes'; '[2] KNN + LDA - Single Sets - OnePerClass'; ...
        '[3] KNN + LDA - Single Sets - OnePerLeaf'; '[4] AdaBoost + LDA - Single Sets - OnePerClass'; ...
        '[5] KNN + LMNN (k=3) - Single Sets - OnePerClass'; '[6] AdaBoost + LMNN (k=3) - Single Sets - OnePerClass'; ...
        '[7] KNN + LDA - Join Days Sets - OnePerClass'; '[8] No Classifier + LDA - Join All Sets - No Prototypes'; ...
        '[9] KNN + Single Linkage - Single Sets - OnePerClass'; '[10] No Classifier + LDA - Single Sets - OnePerClass'; ...
        '[11] KNN + LMNN (k=7) - Single Sets - OnePerClass'; '[12] AdaBoost + LMNN (k=7) - Single Sets - OnePerClass'; ...
        '[13] (Dasgupta) No Classifier + Single Linkage - Single Sets - No Prototypes'};
    
    clicks = [];
    times = [];
    color = [];
    names = {};
    for i = 1:length(test_data)
         clicks = [clicks test_data(i).mean_clicks];
         times = [times test_data(i).mean_time];
         color = [color i];
         names{i} = test_name{i};
    end
    
    fig = figure;
    gscatter(clicks, times, color);
    
    legend(names);
    xlabel('Clicks');
    ylabel('Time');
    title('Clicks vs Time for each test.');
    
    
    %% The same wihout [8]
    test_name = {'[1] KNN + LDA - Single Sets - No Prototypes'; '[2] KNN + LDA - Single Sets - OnePerClass'; ...
        '[3] KNN + LDA - Single Sets - OnePerLeaf'; '[4] AdaBoost + LDA - Single Sets - OnePerClass'; ...
        '[5] KNN + LMNN - Single Sets - OnePerClass'; '[6] AdaBoost + LMNN - Single Sets - OnePerClass'; ...
        '[7] KNN + LDA - Join Days Sets - OnePerClass'; '[8] No Classifier + LDA - Join All Sets - No Prototypes'; ...
        '[9] KNN + Single Linkage - Single Sets - OnePerClass'; '[10] No Classifier + LDA - Single Sets - OnePerClass'; ...
        '[11] KNN + LMNN (k=7) - Single Sets - OnePerClass'; '[12] AdaBoost + LMNN (k=7) - Single Sets - OnePerClass'; ...
        '[13] (Dasgupta) No Classifier + Single Linkage - Single Sets - No Prototypes'};    
    
    clicks = [];
    times = [];
    color = [];
    names = {};
    count = 1;
    for i = 1:length(test_data)
        if(i ~= 8)
             clicks = [clicks test_data(i).mean_clicks];
             times = [times test_data(i).mean_time];
             color = [color i];
             names{count} = test_name{i};
             count = count+1;
        end
    end
    
    fig = figure;
    gscatter(clicks, times, color);
    
    legend(names);
    xlabel('Clicks');
    ylabel('Time');
    title('Clicks vs Time for each test.');
    
end