
function V_PCA = PCA(F)

    Cov = cov(F);
    [V_PCA, D_PCA] = eig(Cov); % V = eigenvectors, D = eigenvalues

    % Calculates the features in the new space and deletes the unuseful ones
    vectors = [];
    for i = 1:size(D_PCA,1)
        if(D_PCA(i,i) > 0.001)
            vectors = [vectors; i];
        end
    end
    V_PCA = V_PCA(:,vectors);

end