function [codes margins] = testBOOST(testNorm,classes,strong)
% [codes margins] = testBOOST(testNorm,classes,strong)
% it takes normalized training structure, (ordered) classes names, adaboost classifier strong and
% computes for every classifier test results, in error and prediction terms

testData = [];
lab = [];
codes = [];

% organizing data
if(isstruct(testNorm))
    for c = 1:length(classes)
       temp = [];
       cmd = ['if(isempty(testNorm.',classes{c},')==0) temp = testNorm.',classes{c},'; end;'];
       eval(cmd);
       testData = [testData; temp];
       lab = [lab; c*ones(size(temp,1),1)];
    end
else
    testData = testNorm;
end

% classifying
margins = [];
for i = 1:size(strong,2)
    tmp_code = zeros(size(testData,1),1);
    
    [C,sum_accum,thresh] = TreeClasser(testData,strong{i},1);
    
    marg = sum_accum - thresh;
    marg = marg./thresh;
    
    tmp_code(find(C==1))=1;
    tmp_code(find(C==0))=-1;
    codes = [codes, tmp_code];
    margins = [margins, marg];
    
end

