function renameImages()

    global main_path;
    global main_folder;
    global resetCountName;
    global format;
    
    path = [main_path '\' main_folder];
    fileList = dir([path '\*' format]);

    len=length(fileList);
    lenFormat = length(format);
    for i = 1:len
        name = fileList(i).name;
        im = imread([path '\' name]);
        if(resetCountName)
            name = num2str(i);
        else
            name = name(1:length(name)-lenFormat);
        end
        name = strcat(sprintf('%06d', str2num(name)), format);
        if(~isdir([path '_renamed\']))
            mkdir([path '_renamed\']);
        end

        imwrite(im, [path '_renamed\' name]);
        
%         if(mod(i,20) == 0)
            disp(['renameImages(): ' num2str(i) '/' num2str(len) ' images renamed.']);
%         end
    end
    
    disp('renameImages(): Images renamed.');

end