function rescaleImages()

    %path = 'images';
    path = '..\Labeling\Demo Labeling - WORKING COPY\Videos';
    %folders = {'001'; '002'}; % folder images to resize
    folders = {'EE6B5EA5-9ABF-32DA-9709-AAFEB23BB51E'};
    format = '.jpg';
    resizeRate = 20; % the times we must divide the image's proportions
    
    len = length(folders);
    for i = 1:len
        photoList = dir([path '/' folders{i} '/*' format]);
        
        img = imread([path '/' folders{i} '/' photoList(1).name]);
        newH = floor(size(img,1)/resizeRate);
        newW = floor(size(img,2)/resizeRate);
        
        newDir = [path '/' folders{i} '_' num2str(newH) 'x' num2str(newW)];
        mkdir(newDir);
        
        len2 = length(photoList);
        for j = 1:len2
            img = imread([path '/' folders{i} '/' photoList(j).name]);
            img = imresize(img, [newH newW]);
            imwrite(img, [newDir '/' photoList(j).name]);
            disp([photoList(j).name ' saved in ' newDir ': ' num2str(j) '/' num2str(len2)]);
        end
    end
    
end