function im = qva_get_frame(study, jpg_info, index)
%qva_get_frame Gets a single frame.
%
% INPUT:
%   study   -> The study struture.
%   jpeg_info         -> The jpeg_info struture.
%   index -> The index of the frame in the jpg_info structure.
%
% OUTPUT:
%   im   -> The frame image.
%
%  Ex: 
%   im = qva_get_frame(study, jpg_info, index);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%

im = study_get_frame(study, jpg_info(index).filename);
