function result = qva_has_laps(study)
%qva_has_laps Cheks wehther the laplacians have been calculated.
%
% INPUT:
%   study   -> The study struture.
%
% OUTPUT:
%   result  -> 1 if the study has expanded laplacians.
%
%  Ex: 
%   result = qva_has_laps(study);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%
if  exist([qva_lap_path(study) '/laps_created.txt'], 'file')
  result = 1;
else 
  result = 0;
end


