function result = qva_is_color(jpg_info)
%qva_is_color Checks whether the color features have been calculated.
%
% INPUT:
%   jpg_info   -> The jpg_info structure..
%
% OUTPUT:
%   result -> 1 of the color features have been calculated already.
%
%  Ex: 
%    result = qva_is_color(jpg_info);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%
if  isfield(jpg_info, 'color')
  result = 1;
else 
  result = 0;
end


