function result = qva_is_features_analyzed(jpg_info)
%qva_create_all Checks whether the vol_blob_x_lap has been calculated.
%
% INPUT:
%   jpeg_info         -> The jpeg_info struture.
%
% OUTPUT:
%   result   -> 1 if the vol_blob_x_lap has been already  calculated
%
%  Ex: 
%   result = qva_is_vol_blob_x_lap(jpg_info);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%

if  isfield(jpg_info, 'wrinkle_score_NEW')
  result = 1;
else 
  result = 0;
end