function result = qva_is_turbid_features(study)
%qva_is_turbid_features Checks whether the color features are already done.
%
% INPUT:
%   study  -> The study structure.
%
% OUTPUT:
%   result  -> 1 if the color features are already calculated.
%
% This function checkst the existence of the file
% histColorsRGBquantitzed.mat
%
%  Ex: 
% result = qva_is_turbid_features(study);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%

s=sprintf('%s/%s/histColorsRGBquantitzed.mat',study.data_path,study.name);

if  exist(s,'file')~=0
  result = 1;
else 
  result = 0;
end


