function path = qva_lap_path(study)
%qva_lap_path Returns the path to save the files of the lap analysis.
%
% INPUT:
%   study   -> The study struture.
%
% OUTPUT:
%   path -> The path to save the files of the lap analysis.
%
%  Ex: 
%   path = qva_lap_path(study);
%   
% (c) MI group, Computer Vision Center, UAB, 2007
%
path = [study_get_study_path(study) '/laps'];
