function expert_turbid_indexes = study_get_expert_turbid_indexes(study)
% STUDY_GET_EXPERT_TURBID_INDEXES returns the indexes of the turbid frames.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       expert_turbid_indexes -> The indexes of the frames corresponding to the
%                                turbid frames.
%
% Example:
%           expert_turbid_indexes = study_get_expert_turbid_indexes(study)
%          

expert_turbid_indexes = study.expert_turbid_indexes;

