function image = study_get_frame(study, filename)
% STUDY_GET_FRAME returns the image of one specific frame of the study.
%
%   INPUT:
%       study    -> The study structure. 
%       filename -> The fiename of the frame.
%
%   OUTPUT:
%       im -> The frame image
%
% Example:
%           im = study_get_frame(study, filename)     
%

jpg_path = study_jpg_path(study);

impath = sprintf('%s/%s', jpg_path, filename );
%image=imread(impath);
load(impath);

