function result = study_jpg_base(study)
% STUDY_GET_JPG_BASE returns the basic folder name for the expanded images.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       result -> '' if the paremeters are not correct; the path otherwise.
%
%   Example:
%     study_jpg_base('/intes/my_studio') will result in
%     '/intes/my_studio/jpgs'.

result = sprintf('%s/%s/jpgs', study.media_path, study.name);

