function path = study_jpg_info_path(study)
% STUDY_JPG_INFO_PATH returns the path to the jpg_info structure.
%
%   INPUT:
%       study -> The study structure. 
%
%   OUTPUT:
%       path -> The study path.
%
% Example:
%       jpeg_info_path = study_jpg_info_path(study)
%

path = sprintf('%s/%s', study_get_study_path(study), 'jpg_info.mat');
