function study = study_load(filepath)
%study_load reads the study structure from disk.
% \param filepath a full path to the study

if ~exist(filepath)
  study = [];
  return;
end

j = load('-MAT', filepath);
if ~isfield(j, 'study') 
    study = [];
    return
end

study = j.study;