function study = study_set_findings_indexes(study, findings_indexes)
%study_set_findings_indexes Sets the findings indexes into the study structure.
%
% INPUT:
%   study -> The study structure.
%   findings_indexes -> The indexes of the findings.
%
% OUTPUT:
%   study -> The study structure.
%
%  Ex: 
% study = study_set_findings_indexes(study, findings_indexes);
%
% (c) MI group, Computer Vision Center, UAB, 2007
%
study.expert_findings_indexes = findings_indexes;
