% --- changes the label of the cluster image clicked on
function changeClusterLabel(x, y, handles, key)

global proposed_labels;
global cluster;
global clusterToShow;

global classes;
global clusterSize;
global clicked_clusters;
global k; % number of classes

    rIdx = y;
    cIdx = x;

    index = sub2ind(clusterSize,rIdx,cIdx);
    
    % We change the label depending on the clicked shortcut (if clicked)
    if(key)
        len = length(classes);
        i = 1; found = false;
        while(i <= len && ~found)
            if(strcmp(lower(classes(i).shortcut), key))
                found = true;
            end
            i = i+1;
        end
    else
        found = false;
    end
    
    if(found)
        proposed_labels(cluster(index)) = classes(i-1).id-1;
        clusterToShow{rIdx,cIdx} = innerBorder(clusterToShow{rIdx,cIdx}, classes(i-1).id);
    else
        proposed_labels(cluster(index)) = mod(proposed_labels(cluster(index))+1,k);
        clusterToShow{rIdx,cIdx} = innerBorder(clusterToShow{rIdx,cIdx},classes(proposed_labels(cluster(index))+1).id);
    end
    
    % Changes the selected class (and for this reason its colour too) in the list of classes 
    set(handles.listClasses, 'value', proposed_labels(cluster(index))+1);
    changeColor(handles.listClasses);

end