% --- changes the label of the query image clicked on
function changeQueryLabel(x, y, handles, key)
global proposed_labels ;
global queries ;
global queriesToShow ;

global classes;
global querySize ;
global clicked_queries;
global k; % number of classes

    rIdx = y;
    cIdx = x;

    index = sub2ind(querySize,rIdx,cIdx);
    
    % We change the label depending on the clicked shortcut (if clicked)
    if(key)
        len = length(classes);
        i = 1; found = false;
        while(i <= len && ~found)
            if(strcmp(lower(classes(i).shortcut), key))
                found = true;
            end
            i = i+1;
        end
    else
        found = false;
    end
    
    if(found)
%         clicked_queries(index) = classes(i-1).id-1;
        proposed_labels(queries(index)) = classes(i-1).id-1;
        queriesToShow{rIdx,cIdx} = innerBorder(queriesToShow{rIdx,cIdx}, classes(i-1).id);
    else
%         clicked_queries(index) = mod(clicked_queries(index)+1, k);
        proposed_labels(queries(index)) = mod(proposed_labels(queries(index))+1,k);
        queriesToShow{rIdx,cIdx} = innerBorder(queriesToShow{rIdx,cIdx},classes(proposed_labels(queries(index))+1).id);
    end
    set(handles.listClasses, 'value', proposed_labels(queries(index))+1);
    changeColor(handles.listClasses);
   
    
