%%
% Extracts labeling information from each of the seen_C = C_div 
%
% @param C_div Cluster of seen_C
% @param k int number of classes
% @param label_par int[] previously assigned label to C_div
function C_div=bound2(C_div, k, label_par)

for i=1:length(C_div)
    C_div(i).score=1;
    C_div(i).assigned_label=label_par;
    % For each possible class
    for z=1:k
        C_div(i).p_score(z)=length(find(C_div(i).seen_labels==z))/length(C_div(i).seen_labels);
    end
    if(length(C_div(i).seen_labels)>0)
        [labels_idx, UB, LB, lB_v, uB_V, labels_idx2]=check_condition2((C_div(i).seen_labels), k);
        C_div(i).lB_v=lB_v;
        C_div(i).uB_V=uB_V;
        C_div(i).labels_idx2=labels_idx2;
        arbol_el.adminsible_labels=unique([labels_idx]);
        labels_idx=arbol_el.adminsible_labels;        
        if(~isempty(labels_idx))
%             try                
                idx_tmp=find(C_div(i).p_score(labels_idx)==max(C_div(i).p_score(labels_idx)), 1, 'first');
                C_div(i).adminsible_labels=labels_idx;
                C_div(i).assigned_label=labels_idx(idx_tmp);
                C_div(i).UB=UB(labels_idx(idx_tmp));
                C_div(i).LB=LB(labels_idx(idx_tmp));
                C_div(i).score=1-C_div(i).LB;
%             catch
%                 keyboard;
%             end
        else
            C_div(i).score=1;
            C_div(i).assigned_label=label_par;
        end
    else
        C_div(i).score=1;
        C_div(i).assigned_label=label_par;
    end
    
end

end