function fillClusterBox()
% about files
global fileList ;
% about dimensions
global maxImgs2ShowInCluster ;
% about images
global proposed_labels ;
global cluster ;
global clusterToShow ;
global seen_cluster;
global C;

global folder_path;

global heightImg;
global widthImg;
global outerBorder;

global idOnlineLearner;
global classes;
% set dimension of showing matrix
global colsClusters;
global rowsClusters;
rowCluster = rowsClusters;
colCluster = colsClusters;
clusterSize = [rowCluster colCluster];
clusterToShow = cell(rowCluster,colCluster);
% fills cell array with cluster images
for idx=1:maxImgs2ShowInCluster
    [rIdx,cIdx] = ind2sub(clusterSize,idx);
    try
        str = fileList(cluster(idx)).name;
        image=imread([folder_path '\' str]);
        
        image = imresize(image,[heightImg widthImg]);
        
        image = setOuterBorder(image,classes(proposed_labels(cluster(idx))+1).id);
        
        clusterToShow{rIdx,cIdx} = image;
        % catches out of bounds when less images and fills with zeros
    catch  ME
        %save('error_fillClusterBox.mat');
        if strcmp(ME.identifier,'MATLAB:badsubscript')
            clusterToShow{rIdx,cIdx} = uint8(zeros(heightImg+outerBorder*2,widthImg+outerBorder*2,3));
        end
    end
end

