%   Gets the unseen elements in C_div with the most reliable ones
%   in the first positions and their corresponding labels
function elems= getMostReliable(C_div)
    
    global classes;
    global proposed_labels;

    
    lenClasses = length(classes);

    len = length(C_div.elements_id);
    elems0 = [];
    elems1 = [];
    elems0_5 = {};
    for i = 1:lenClasses
        elems0_5{i} = [];
    end
    
    for i = 1:len
        if(length(setdiff(C_div.elements_id(i), C_div.seen_idx)) ~= 0)
            if(C_div.reliability(i) == 1)
                elems1 = [elems1 C_div.elements_id(i)];
            elseif(C_div.reliability(i) == 0.5)
                elems0_5{proposed_labels(i)+1} = [elems0_5{proposed_labels(i)+1} C_div.elements_id(i)];
            else
                elems0 = [elems0 C_div.elements_id(i)];
            end
        end
    end
    
    elems = [elems1];
    for i = 1:lenClasses
        elems = [elems elems0_5{i}];
    end
    elems = [elems elems0];
end