% --- Shows colored labels in axes
function showLabelAxes(handles)
global labels
global labIndX;
global labIndY;
global labels_mat ;
global labLimit ;
global classes;
global k;

try
    labels_mat = (reshape(labels(1:labLimit), labIndX, labIndY));
    set(gcf,'CurrentAxes',handles.lAxes);
    %imagesc(labels_mat',[0,1]);
    labels_mat = (labels_mat + 1) ./ k;
    imshow(labels_mat');

    test_map = [0 0 0];
    for i = 1:k
        test_map = [test_map; classes(i).rgb];
    end
    test_map = test_map ./ 255;
    %test_map=[classes(1).rgb;0 0 0; classes(2).rgb;] ./255;
    colormap(test_map)
    axis off;
catch
   % Do nothing when crashes because we are on "biggerAxe.m" 
end

