function showQueryAxes(handles)
global queriesToShow
global has_loaded;
global number_of_labeled_frames;
global numOfImgs;
global HOBJECT;

if(has_loaded && number_of_labeled_frames < numOfImgs)
    % clears query axes
    cla(handles.qAxes);
    % shows in the axes
    set(gcf,'CurrentAxes',handles.qAxes);
    imshow(cell2mat(queriesToShow));
    axis off;

    % Sets the "listeners" for when you click on the qAxes
    c = get(handles.qAxes, 'children');
    set(c,'ButtonDownFcn',@labelClickedQuery);
    set(handles.figure1,'windowbuttonmotionfcn',@mouseOverAxes);
else
    cla(handles.qAxes);
    cla(handles.cAxes);
end