function comparisons()

    % Cross Folders

    
    % 10-fold Join Labels
%     tests_file = '\\vmware-host\Shared Folders\Mark Mac\Documents\Dropbox\Universitat Assignatures\Treball Fi de Grau\Resultats\TFG Resultats\Classificators Test Results\10-fold Join_Labels tests\NP vs (P + SP)';

    % 10-fold 2 Labels
    tests_file = '\\vmware-host\Shared Folders\Mark Mac\Documents\Dropbox\Universitat Assignatures\Treball Fi de Grau\Resultats\TFG Resultats\Classificators Test Results\10-fold 2 labels\P vs SP';
    
    % 10-fold
%     tests_file = '\\vmware-host\Shared Folders\Mark Mac\Documents\Dropbox\Universitat Assignatures\Treball Fi de Grau\Resultats\TFG Resultats\Classificators Test Results\10-fold tests';
    
    % Cross Folders_Join Labels
    
    [spec, sens, resol] = parseResultFile(tests_file);
    
%     classes = {'No Plate'; 'Plate'; 'Semi-Plate'};
    classes = {'No Plate'; 'Plate & Semi-Plate'};
%     classes = {'Plate'; 'Semi-Plate'};

    for i = 1:3
        
        for j = 1:length(classes);
            
            if(i == 1)
                figure;
                plot(1:length(resol), spec(:,j));
                title(['Specificity  ||  Class ' classes{j}]);
            elseif(i == 2)
                figure;
                plot(1:length(resol), sens(:,j));
                title(['Sensitivity  ||  Class ' classes{j}]);
            elseif(i == 3 && j == 1)
                figure;
                plot(1:length(resol), sum(sens,2)/length(classes));
                title('Sensitivity Average');
            elseif(i == 3 && j == 2)
                figure;
                plot(1:length(resol), sum(spec,2)/length(classes));
                title('Specificity Average');
            end

            % Reduce the size of the axis so that all the labels fit in the figure.
            pos = get(gca,'Position');
            set(gca,'Position',[pos(1), 0.25, pos(3) .70])

            Xt = 1:length(resol);
            Xl = [0 length(resol)];

            ax = axis; % Current axis limits
            axis(axis); % Set the axis limit modes (e.g. XLimMode) to manual
            Yl = ax(3:4); % Y-axis limits

            t = text(Xt,Yl(1)*ones(1,length(Xt)), resol);
            set(t,'HorizontalAlignment','right','VerticalAlignment','top','Rotation',45);

            % Remove the default labels
            set(gca,'XTickLabel','');
        end
            
    end


end